Operations for managing customer-level autopilot settings
- List a customer's cards on file
Remove a customer's card on file
Request card details from a customer
List a customer's cards o...
Adfin API (1.0.0)
Adfin uses OAuth 2.0 access tokens to authenticate all API requests.
There are two contexts in which tokens are issued:
Biller Access Tokens — Generated via the Authorization Code flow when a biller connects their Adfin account. These tokens grant access to that biller's data (invoices, payment requests, customers, etc.).
Platform Access Tokens — Generated via the Client Credentials flow for Adfin's own integrations and system events. These tokens authenticate Adfin as the platform itself (not as a specific biller) and are required for endpoints like
/api/webhook.
- Mock serverhttps://developer.adfin.com/_mock/api-docs/prod/customers/{customerId}/cards_on_file/{cardOnFileId}:remove
- Production API Server URLhttps://api.adfin.com/api/customers/{customerId}/cards_on_file/{cardOnFileId}:remove
- Staging API Server URLhttps://api.staging.adfin.com/api/customers/{customerId}/cards_on_file/{cardOnFileId}:remove
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X PUT \
'https://developer.adfin.com/_mock/api-docs/prod/customers/{customerId}/cards_on_file/{cardOnFileId}:remove' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'- Mock serverhttps://developer.adfin.com/_mock/api-docs/prod/customers/{customerId}/card_on_file:request
- Production API Server URLhttps://api.adfin.com/api/customers/{customerId}/card_on_file:request
- Staging API Server URLhttps://api.staging.adfin.com/api/customers/{customerId}/card_on_file:request
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X PUT \
'https://developer.adfin.com/_mock/api-docs/prod/customers/{customerId}/card_on_file:request' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'- Mock serverhttps://developer.adfin.com/_mock/api-docs/prod/customers/{customerId}/cards_on_file
- Production API Server URLhttps://api.adfin.com/api/customers/{customerId}/cards_on_file
- Staging API Server URLhttps://api.staging.adfin.com/api/customers/{customerId}/cards_on_file
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'https://developer.adfin.com/_mock/api-docs/prod/customers/{customerId}/cards_on_file?statuses=REQUESTED' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'Response
application/json
{ "cards": [ { … } ] }